Do you want the application to accept incoming network connections?

Hi,

After installing the new PhpStorm 7.1 on Mavericks 10.9.1 and changing the plist to use Java 7 (to get full use of retina as in https://intellij-support.jetbrains.com/entries/23455956-Selecting-the-JDK-version-the-IDE-will-run-under ) the firewall will ask if I want to allow PhpStorm to accept incoming connections every time I launch it. Searching about similar problems, it looks like by modifying the plist file I changed the signature of the app. which triggers that annoying question.

codesign says:

codesign -vvv /Applications/PhpStorm.app                                                                                                             2 ↵
/Applications/PhpStorm.app: invalid Info.plist (plist or signature have been modified)
In architecture: x86_64

Is there any way to use Java7 w/o starting from shell or getting that message?

Thank you.

1 comment
Comment actions Permalink

There is no "official" solution yet but you may try the following (resign the app with a self signed local cert):
- In Keychain Access generate a new certificate (Certificate assistant -> Create a certificate…)
- Choose ‘Code Signing’ in the ‘Certificate Type’ drop down menu
- The rest does not matter so much (next, next done)
- Save it in your login keychain
Copy the CN of the new certificate
Then on the command line issue the following command (modify it for your situation) codesign –deep -f -s “Your CN” /Applications/IntelliJ\ IDEA\ 13\ EAP.app/

0

Please sign in to leave a comment.